<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.Destinatari" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="Destinatari">
        <id name="iddestinatario" type="java.lang.Integer">
            <column name="IDDestinatario"/>
            <generator class="identity"/>
        </id>
        <property generated="never" lazy="false" name="idordinante" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDOrdinante"/>
        </property>
        <property generated="never" lazy="false" name="destinatario" optimistic-lock="true" type="string" unique="false">
            <column length="90" name="Destinatario"/>
        </property>
        <property generated="never" lazy="false" name="codiceFiscale" optimistic-lock="true" type="string" unique="false">
            <column length="16" name="CodiceFiscale"/>
        </property>
        <property generated="never" lazy="false" name="indirizzo" optimistic-lock="true" type="string" unique="false">
            <column length="40" name="Indirizzo"/>
        </property>
        <property generated="never" lazy="false" name="cap" optimistic-lock="true" type="string" unique="false">
            <column length="5" name="Cap"/>
        </property>
        <property generated="never" lazy="false" name="città" optimistic-lock="true" type="string" unique="false">
            <column length="25" name="Città"/>
        </property>
        <property generated="never" lazy="false" name="provincia" optimistic-lock="true" type="string" unique="false">
            <column length="2" name="Provincia"/>
        </property>
        <property generated="never" lazy="false" name="codiceDestinatario" optimistic-lock="true" type="string" unique="false">
            <column length="16" name="CodiceDestinatario"/>
        </property>
        <property generated="never" lazy="false" name="tipoCodiceDestinatario" optimistic-lock="true" type="string" unique="false">
            <column length="1" name="TipoCodiceDestinatario"/>
        </property>
        <property generated="never" lazy="false" name="sia" optimistic-lock="true" type="string" unique="false">
            <column length="5" name="SIA"/>
        </property>
        <property generated="never" lazy="false" name="flagStampa" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagStampa" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagExportBollettinoPdf" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagExportBollettinoPDF" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="lastSaved" optimistic-lock="true" type="binary" unique="false">
            <column name="LastSaved" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagAea" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagAEA" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="bonificoHigPriority" optimistic-lock="true" type="boolean" unique="false">
            <column name="BonificoHigPriority" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="coordinateIbanordinante" optimistic-lock="true" type="string" unique="false">
            <column length="42" name="CoordinateIBANordinante"/>
        </property>
    </class>
</hibernate-mapping>
